Unsubscribed from Specific Account
curl --request GET \
--url https://{projectID}.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed/{accountId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"title": "Eli Cohen",
"phone": "+972549431678"
},
{
"phone": "+972534226703"
},
{
"title": "Texter Support",
"phone": "+972555026806"
}
]{
"error": "<string>"
}{
"error": "WhatsApp account 972540202020 not found"
}Templates Subscriptions
Unsubscribed from Specific Account
Retrieve all recipients who unsubscribed from template messages under a given account (channel), specified by the account ID.
GET
https://{projectID}.texterchat.com/server/api/v2
/
whatsapp
/
templates
/
unsubscribed
/
{accountId}
Unsubscribed from Specific Account
curl --request GET \
--url https://{projectID}.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed/{accountId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"title": "Eli Cohen",
"phone": "+972549431678"
},
{
"phone": "+972534226703"
},
{
"title": "Texter Support",
"phone": "+972555026806"
}
]{
"error": "<string>"
}{
"error": "WhatsApp account 972540202020 not found"
}Required token scopes:
List all chats